/*      Copyright 1998-2002 SourceGear Corporation.
        All Rights Reserved. */

#ifndef ADDFILESDLG_H
#define ADDFILESDLG_H

#include <gtk/gtk.h>

#include "VermDlg.h"
#include "String.h"

class CVermTreeNode;

class CAddFilesDlg : public CVermDlg
{
 public:
	CAddFilesDlg(CVermTreeNode* pNode);
	~CAddFilesDlg();
	void SetOpenDirectory(String& dir);
	
	char* GetItemText(GtkWidget* w);
	String GetDirectory(GtkWidget* pNode);

	CVermTreeNode* m_pNode;
	
	GtkWidget *scrollWin1;
	GtkWidget *files;
	GtkWidget *filesToAdd;
	GtkWidget *directories;
	GtkWidget *remove;
	GtkWidget *add;
	GtkWidget *m_pNodeSelected;
	GtkWidget *keepCheckedOut;
};

#endif // ADDFILESDLG_H
