/*      Copyright 1998-2002 SourceGear Corporation.
        All Rights Reserved. */

#include "Vermie.h"
#include "AfxMessageBox.h"


int AfxMessageBox(String& str, int style)
{
	AfxMessageBox2 b(str, style);
	return b.DoModal();
}

AfxMessageBox2::AfxMessageBox2(String& strMessage, int style) : CVermDlg("Alert", style)
{
  GtkWidget *dialog_vbox1;
  GtkWidget *label1;
  GtkWidget *dialog_action_area1;

  dialog_vbox1 = GTK_DIALOG (m_pDialog)->vbox;
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "dialog_vbox1", dialog_vbox1);
  gtk_widget_show (dialog_vbox1);

  label1 = gtk_label_new ("message");
  gtk_label_set(GTK_LABEL(label1), strMessage.chars());
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "label1", label1);
  gtk_widget_show (label1);
  gtk_box_pack_start (GTK_BOX (dialog_vbox1), label1, TRUE, TRUE, 0);
  gtk_misc_set_padding (GTK_MISC (label1), 5, 5);

  dialog_action_area1 = GTK_DIALOG (m_pDialog)->action_area;
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "dialog_action_area1", dialog_action_area1);
  gtk_widget_show (dialog_action_area1);
  gtk_container_border_width (GTK_CONTAINER (dialog_action_area1), 10);
}

AfxMessageBox2::~AfxMessageBox2()
{
	gtk_widget_destroy(m_pDialog);
}
