/*      Copyright 1998-2002 SourceGear Corporation.
        All Rights Reserved. */

#include <gtk/gtk.h>

#include "Vermie.h"
#include "CommentDlg.h"

CCommentDlg::CCommentDlg(char* title, int r) : CVermDlg(title, MB_OK | MB_CANCEL)
{
	GtkWidget *dialog_vbox1;
	GtkWidget *vbox1;
	GtkWidget *label1;
	GtkWidget *dialog_action_area1;
	
	dialog_vbox1 = GTK_DIALOG (m_pDialog)->vbox;
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "dialog_vbox1", dialog_vbox1);
	gtk_widget_show (dialog_vbox1);
	
	vbox1 = gtk_vbox_new (FALSE, 0);
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "vbox1", vbox1);
	gtk_widget_show (vbox1);
	gtk_box_pack_start (GTK_BOX (dialog_vbox1), vbox1, TRUE, TRUE, 0);
	
	label1 = gtk_label_new ("Comments:");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "label1", label1);
	gtk_widget_show (label1);
	gtk_box_pack_start (GTK_BOX (vbox1), label1, FALSE, FALSE, 5);
	gtk_label_set_justify (GTK_LABEL (label1), GTK_JUSTIFY_LEFT);
	gtk_misc_set_alignment (GTK_MISC (label1), 0, 0);
	gtk_misc_set_padding (GTK_MISC (label1), 5, 0);
	
	comment = gtk_text_new ((GtkAdjustment*)NULL, (GtkAdjustment*)NULL);
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "comments", comment);
	gtk_widget_show (comment);
	gtk_box_pack_start (GTK_BOX (vbox1), comment, TRUE, TRUE, 5);
	gtk_text_set_editable (GTK_TEXT (comment), TRUE);

	if (r)
	{
		recurse = gtk_check_button_new_with_label("Recursive");
		gtk_widget_show(recurse);
		gtk_box_pack_start(GTK_BOX(vbox1), recurse, TRUE, TRUE, 5);
	}
	
	dialog_action_area1 = GTK_DIALOG (m_pDialog)->action_area;
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "dialog_action_area1", dialog_action_area1);
	gtk_widget_show (dialog_action_area1);
	gtk_container_border_width (GTK_CONTAINER (dialog_action_area1), 10);
}

CCommentDlg::~CCommentDlg()
{
	gtk_widget_destroy(m_pDialog);
}

