/*      Copyright 1998-2002 SourceGear Corporation.
        All Rights Reserved. */

#include "Vermie.h"
#include "ProjectHistoryDlg.h"

CProjectHistoryDlg::CProjectHistoryDlg() : CVermDlg("Project History Options", MB_OK | MB_CANCEL)
{
	GtkWidget* label4;
	
	dialog_vbox1 = GTK_DIALOG (m_pDialog)->vbox;
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "dialog_vbox1", dialog_vbox1);
	gtk_widget_show (dialog_vbox1);

	vbox1 = gtk_vbox_new (FALSE, 0);
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "vbox1", vbox1);
	gtk_widget_show (vbox1);
	gtk_box_pack_start (GTK_BOX (dialog_vbox1), vbox1, TRUE, TRUE, 0);

	includeFiles = gtk_check_button_new_with_label ("Include file checkins");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "includeFiles", includeFiles);
	gtk_widget_show (includeFiles);
	gtk_box_pack_start (GTK_BOX (vbox1), includeFiles, FALSE, FALSE, 5);

	recurse = gtk_check_button_new_with_label ("Recursive");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "recurse", recurse);
	gtk_widget_show (recurse);
	gtk_box_pack_start (GTK_BOX (vbox1), recurse, FALSE, FALSE, 5);

	frame1 = gtk_frame_new ("Dates");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "frame1", frame1);
	gtk_widget_show (frame1);
	gtk_box_pack_start (GTK_BOX (vbox1), frame1, TRUE, TRUE, 5);

	vbox2 = gtk_vbox_new (FALSE, 0);
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "vbox2", vbox2);
	gtk_widget_show (vbox2);
	gtk_container_add (GTK_CONTAINER (frame1), vbox2);
	gtk_container_border_width (GTK_CONTAINER (vbox2), 5);

	hbox1 = gtk_hbox_new (FALSE, 0);
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "hbox1", hbox1);
	gtk_widget_show (hbox1);
	gtk_box_pack_start (GTK_BOX (vbox2), hbox1, TRUE, TRUE, 0);

	label1 = gtk_label_new ("From: ");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "label1", label1);
	gtk_widget_show (label1);
	gtk_box_pack_start (GTK_BOX (hbox1), label1, FALSE, FALSE, 5);
	gtk_label_set_justify (GTK_LABEL (label1), GTK_JUSTIFY_LEFT);
	gtk_misc_set_alignment (GTK_MISC (label1), 0, 0.5);
	gtk_misc_set_padding (GTK_MISC (label1), 5, 5);

	from = gtk_entry_new ();
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "from", from);
	gtk_widget_show (from);
	gtk_box_pack_start (GTK_BOX (hbox1), from, FALSE, FALSE, 5);

	label4 = gtk_label_new("(MM/DD/YYYY)");
	gtk_widget_show(label4);
	gtk_box_pack_start (GTK_BOX (hbox1), label4, FALSE, FALSE, 5);
	gtk_label_set_justify (GTK_LABEL (label4), GTK_JUSTIFY_LEFT);
	gtk_misc_set_alignment (GTK_MISC (label4), 0, 0.5);
	gtk_misc_set_padding (GTK_MISC (label4), 5, 5);
  
	hbox2 = gtk_hbox_new (FALSE, 0);
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "hbox2", hbox2);
	gtk_widget_show (hbox2);
	gtk_box_pack_start (GTK_BOX (vbox2), hbox2, TRUE, TRUE, 0);

	label3 = gtk_label_new ("To:");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "label3", label3);
	gtk_widget_show (label3);
	gtk_box_pack_start (GTK_BOX (hbox2), label3, FALSE, FALSE, 5);
	gtk_label_set_justify (GTK_LABEL (label3), GTK_JUSTIFY_LEFT);
	gtk_misc_set_alignment (GTK_MISC (label3), 0, 0.5);
	gtk_misc_set_padding (GTK_MISC (label3), 5, 5);

	to = gtk_entry_new ();
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "to", to);
	gtk_widget_show (to);
	gtk_box_pack_start (GTK_BOX (hbox2), to, FALSE, FALSE, 6);

	dialog_action_area1 = GTK_DIALOG (m_pDialog)->action_area;
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "dialog_action_area1", dialog_action_area1);
	gtk_widget_show (dialog_action_area1);
	gtk_container_border_width (GTK_CONTAINER (dialog_action_area1), 10);
}

CProjectHistoryDlg::~CProjectHistoryDlg()
{
	gtk_widget_destroy(m_pDialog);
}
