/*      Copyright 1998-2002 SourceGear Corporation.
        All Rights Reserved. */

#include "UndoCheckoutDlg.h"

CUndoCheckoutDlg::CUndoCheckoutDlg(char* strTitle, char* which, int bRecursive) : CVermDlg(strTitle, MB_OK | MB_CANCEL)
{
	GtkWidget* vb = GTK_DIALOG (m_pDialog)->vbox;
	gtk_widget_show (vb);

	if (bRecursive)
	{
		recursive = gtk_check_button_new_with_label("Recursive");
		gtk_widget_show(recursive);
		gtk_box_pack_start(GTK_BOX(vb), recursive, FALSE, TRUE, 0);
	}

	GtkWidget* hb = gtk_hbox_new(FALSE, 0);
	gtk_widget_show(hb);
	gtk_box_pack_start(GTK_BOX(vb), hb, FALSE, TRUE, 0);
	
	GtkWidget* label = gtk_label_new("Local Copy:");
	gtk_widget_show(label);
	gtk_box_pack_start(GTK_BOX(hb), label, FALSE, TRUE, 5);
	
	localCopy = gtk_combo_new();
	gtk_widget_show(localCopy);
	gtk_box_pack_start(GTK_BOX(hb), localCopy, FALSE, TRUE, 0);

	GList* list = (GList*)NULL;

	list = g_list_append(list, (void*) "Leave");
	list = g_list_append(list, (void*) "Replace");
	list = g_list_append(list, (void*) "Delete");

	gtk_combo_set_popdown_strings(GTK_COMBO(localCopy), list);
	gtk_entry_set_text(GTK_ENTRY(GTK_COMBO(localCopy)->entry), which);
	g_list_free(list);
}

CUndoCheckoutDlg::~CUndoCheckoutDlg()
{
	gtk_widget_destroy(m_pDialog);
}
