/*      Copyright 1998-2002 SourceGear Corporation.
        All Rights Reserved. */

#ifndef VERMMESSAGESTORE_H
#define VERMMESSAGESTORE_H

class CVermProtocolMessage;

typedef struct _MessageLink
{
	int					  nMessageNum;
	CVermProtocolMessage* pMessage;
	struct _MessageLink*  pNext;
} MessageLink;

class CVermMessageStore
{
private:
	MessageLink *m_pMessages;
	MessageLink *m_pTailMessage;
	int			 m_nCounter;

public:
	CVermMessageStore();
	~CVermMessageStore();

	void Empty(void);
	void AddMessage(CVermProtocolMessage *pMessage);
	CVermProtocolMessage *FindMessage(int nMessage);
	int RemoveMessage(int nMessage);
};
#endif // VERMMESSAGESTORE
