/*      Copyright 1998-2002 SourceGear Corporation.
        All Rights Reserved. */


#ifndef VERMTREELEAF_H
#define VERMTREELEAF_H

#include <time.h>
#include <String.h>

#define STATUS_MISSING		1
#define STATUS_OLD			2
#define STATUS_EDITED		3
#define STATUS_CURRENT		4
#define STATUS_RENEGADE		5
#define STATUS_UNKNOWN		6

class CVermTreeLeaf
{
public:
	String m_name;

	int m_nRemoteVersionNumber;
	time_t m_pRemoteVersionDate;

	int m_nLocalVersionNumber;
	time_t m_pLocalVersionDate;

	String m_userLocked;
	String m_projectLocked;
	
	
	int m_nPinnedVersion;
	
	short m_bChecked;  // This is used when we get a file list from the server
					  // to determine if this file still exists

	short m_bShared;
	
public:
	CVermTreeLeaf();
	CVermTreeLeaf(CVermTreeLeaf* pTreeLeaf);
	~CVermTreeLeaf();
};

#endif /* VERMTREELEAF_H */
