/*      Copyright 1998-2002 SourceGear Corporation.
        All Rights Reserved. */

#ifndef VERMUTILS_H
#define VERMUTILS_H

#include <time.h>
#include <String.h>

char* ParseNameFromBuffer(char* buf, int *startPos, int maxPos, int &bParseError);

time_t ParseServerDate(char* pDate);
void ExtractChildFromParent(const char* pszFullPath, String& strParent,
							String& strChild, char cSep);
const char* ConvertServerName(const char* pServer);
int MakeFileReadOnly(String& strFile);
int MakeFileWriteable(String& strFile);
int CreateDirectory(String& strDirectory);
void TrashDirectory(String& strTmpDir);

#endif /* VERMUTILS_H */
