/*      Copyright 1998-2002 SourceGear Corporation.
        All Rights Reserved. */

#include <gtk/gtk.h>

#include "ViewEditDlg.h"

CViewEditDlg::CViewEditDlg(const char* strTitle) : CVermDlg(strTitle, MB_OK | MB_CANCEL)
{
	choice_group = NULL;
	
	vbox1 = GTK_DIALOG (m_pDialog)->vbox;
	gtk_widget_show(vbox1);
	
	view = gtk_radio_button_new_with_label (choice_group, "View SourceSafe's copy of this file");
	choice_group = gtk_radio_button_group (GTK_RADIO_BUTTON (view));
	gtk_widget_ref (view);
	gtk_object_set_data_full (GTK_OBJECT (m_pDialog), "view", view,
							  (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show (view);
	gtk_box_pack_start (GTK_BOX (vbox1), view, FALSE, FALSE, 0);
	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (view), TRUE);
	
	edit = gtk_radio_button_new_with_label (choice_group, "Check Out this file, and edit it in your working folder");
	choice_group = gtk_radio_button_group (GTK_RADIO_BUTTON (edit));
	gtk_widget_ref (edit);
	gtk_object_set_data_full (GTK_OBJECT (m_pDialog), "edit", edit,
                            (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show (edit);
	gtk_box_pack_start (GTK_BOX (vbox1), edit, FALSE, FALSE, 0);
}

CViewEditDlg::~CViewEditDlg(void)
{
	gtk_widget_destroy(m_pDialog);
}
	
