/*      Copyright 1998-2002 SourceGear Corporation.
        All Rights Reserved. */

#include <gtk/gtk.h>

#include "Vermie.h"
#include "YesNoDlg.h"

CYesNoDlg::CYesNoDlg(String& message, int style): CVermDlg("Answer", style)
{
  GtkWidget *dialog_vbox1;
  GtkWidget *label1;
  GtkWidget *dialog_action_area1;

  dialog_vbox1 = GTK_DIALOG (m_pDialog)->vbox;
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "dialog_vbox1", dialog_vbox1);
  gtk_widget_show (dialog_vbox1);

  label1 = gtk_label_new (message.chars());
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "label1", label1);
  gtk_widget_show (label1);
  gtk_box_pack_start (GTK_BOX (dialog_vbox1), label1, TRUE, TRUE, 5);

  dialog_action_area1 = GTK_DIALOG (m_pDialog)->action_area;
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "dialog_action_area1", dialog_action_area1);
  gtk_widget_show (dialog_action_area1);
  gtk_container_border_width (GTK_CONTAINER (dialog_action_area1), 10);
}

CYesNoDlg::~CYesNoDlg()
{
	gtk_widget_destroy(m_pDialog);
}
