/*      Copyright 1998-2002 SourceGear Corporation.
        All Rights Reserved. */

#include "Vermie.h"
#include "AboutDlg.h"
#include "res/Splash.xpm"

CAboutDlg::CAboutDlg() : CVermDlg("About SourceOffSite", MB_OK)
{
	GtkWidget *dialog_vbox2;
	GtkWidget *table2;
	GdkPixmap *glade_pixmap;
	GdkBitmap *glade_mask;
	GtkWidget *pixmap1;
	GtkWidget *label2;
	GtkWidget *label3;
	GtkWidget *label4;
	GtkWidget *label5;
	GtkWidget *label6;
	GtkWidget *dialog_action_area2;

	dialog_vbox2 = GTK_DIALOG (m_pDialog)->vbox;
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "dialog_vbox2", dialog_vbox2);
	gtk_widget_show (dialog_vbox2);

	table2 = gtk_table_new (6, 1, FALSE);
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "table2", table2);
	gtk_widget_show (table2);
	gtk_box_pack_start (GTK_BOX (dialog_vbox2), table2, TRUE, TRUE, 0);

	gtk_widget_realize (m_pDialog);
	glade_pixmap = gdk_pixmap_create_from_xpm_d(m_pDialog->window, &glade_mask,
											   &m_pDialog->style->bg[GTK_STATE_NORMAL],
											   splash);
	
	pixmap1 = gtk_pixmap_new (glade_pixmap, glade_mask);
	gdk_pixmap_unref (glade_pixmap);
	gdk_bitmap_unref (glade_mask);
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "pixmap1", pixmap1);
	gtk_widget_show (pixmap1);
	gtk_table_attach (GTK_TABLE (table2), pixmap1, 0, 1, 0, 1,
					  (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 5, 5);

	label2 = gtk_label_new ("Copyright 1998-2001 SourceGear Corporation");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "label2", label2);
	gtk_widget_show (label2);
	gtk_table_attach (GTK_TABLE (table2), label2, 0, 1, 1, 2,
					  (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 5, 5);

	label3 = gtk_label_new ("Version 3.5");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "label3", label3);
	gtk_widget_show (label3);
	gtk_table_attach (GTK_TABLE (table2), label3, 0, 1, 2, 3,
					  (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 5, 5);

#ifndef BUILD_STANDARD
#ifdef BUILD_EXPORT
	label6 = gtk_label_new ("Professional Edition - Export");
#else
	label6 = gtk_label_new ("Professional Edition");
#endif
#else	
	label6 = gtk_label_new ("Standard Edition");
#endif
	
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "label6", label6);
	gtk_widget_show (label6);
	gtk_table_attach (GTK_TABLE (table2), label6, 0, 1, 3, 4,
					  (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 5, 5);

	label5 = gtk_label_new ("Export Permitted");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "label5", label5);
	gtk_widget_show (label5);
	gtk_table_attach (GTK_TABLE (table2), label5, 0, 1, 4, 5,
					  (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 5, 5);

	label4 = gtk_label_new ("All Rights Reserved.");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "label4", label4);
	gtk_widget_show (label4);
	gtk_table_attach (GTK_TABLE (table2), label4, 0, 1, 5, 6,
					  (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 5, 5);

	
	dialog_action_area2 = GTK_DIALOG (m_pDialog)->action_area;
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "dialog_action_area2", dialog_action_area2);
	gtk_widget_show (dialog_action_area2);
	gtk_container_border_width (GTK_CONTAINER (dialog_action_area2), 10);
}

CAboutDlg::~CAboutDlg()
{
	gtk_widget_destroy(m_pDialog);
}
	

















