/*      Copyright 1998-2002 SourceGear Corporation.
        All Rights Reserved. */

#include "Vermie.h"
#include "CheckoutDlg.h"

CCheckoutDlg::CCheckoutDlg(char *title, int bShowRecursive, int bShowComment /* = 1 */) : CVermDlg(title, MB_OK|MB_CANCEL)
{
  GtkWidget *dialog_vbox1;
  GtkWidget *dialog_action_area1;

  dialog_vbox1 = GTK_DIALOG (m_pDialog)->vbox;
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "dialog_vbox1", dialog_vbox1);
  gtk_widget_show (dialog_vbox1);

  if (bShowRecursive)
  {
	  recursive = gtk_check_button_new_with_label ("Recursive");
	  gtk_object_set_data (GTK_OBJECT (m_pDialog), "recursive", recursive);
	  gtk_widget_show (recursive);
	  gtk_box_pack_start (GTK_BOX (dialog_vbox1), recursive, TRUE, TRUE, 0);
	  if (Vermie::m_bRecurseOnProjects)
		  gtk_toggle_button_set_state(GTK_TOGGLE_BUTTON(recursive), 1);
  }
  
  dontOverwrite = gtk_check_button_new_with_label("Don't overwrite local files");
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "dontOverwrite", dontOverwrite);
  gtk_box_pack_start (GTK_BOX (dialog_vbox1), dontOverwrite, TRUE, TRUE, 0);
  
  dialog_action_area1 = GTK_DIALOG (m_pDialog)->action_area;
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "dialog_action_area1", dialog_action_area1);
  gtk_widget_show (dialog_action_area1);
  gtk_container_border_width (GTK_CONTAINER (dialog_action_area1), 10);
}

CCheckoutDlg::~CCheckoutDlg()
{
	gtk_widget_destroy(m_pDialog);
}
