/*      Copyright 1998-2002 SourceGear Corporation.
        All Rights Reserved. */

#include "Vermie.h"
#include "CreateProjectDlg.h"

CCreateProjectDlg::CCreateProjectDlg(char* title, int style) : CVermDlg(title, style)
{
  GtkWidget *dialog_vbox1;
  GtkWidget *table1;
  GtkWidget *label2;
  GtkWidget *dialog_action_area1;

  dialog_vbox1 = GTK_DIALOG (m_pDialog)->vbox;
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "dialog_vbox1", dialog_vbox1);
  gtk_widget_show (dialog_vbox1);

  table1 = gtk_table_new (2, 2, FALSE);
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "table1", table1);
  gtk_widget_show (table1);
  gtk_box_pack_start (GTK_BOX (dialog_vbox1), table1, TRUE, TRUE, 0);

  comment = gtk_text_new ((GtkAdjustment*)NULL, (GtkAdjustment*)NULL);
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "comment", comment);
  gtk_widget_show (comment);
  gtk_table_attach (GTK_TABLE (table1), comment, 1, 2, 1, 2,
                    (GtkAttachOptions)(GTK_EXPAND | GTK_FILL), (GtkAttachOptions)0, 5, 5);
  gtk_text_set_editable (GTK_TEXT (comment), TRUE);

  project = gtk_entry_new ();
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "project", project);
  gtk_widget_show (project);
  gtk_table_attach (GTK_TABLE (table1), project, 1, 2, 0, 1,
                    (GtkAttachOptions)(GTK_EXPAND | GTK_FILL), (GtkAttachOptions)0, 5, 5);

  label2 = gtk_label_new ("Comment:");
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "label2", label2);
  gtk_widget_show (label2);
  gtk_table_attach (GTK_TABLE (table1), label2, 0, 1, 1, 2,
                    (GtkAttachOptions)0, (GtkAttachOptions)0, 5, 5);
  gtk_label_set_justify (GTK_LABEL (label2), GTK_JUSTIFY_RIGHT);

  label1 = gtk_label_new ("Project:");
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "label1", label1);
  gtk_widget_show (label1);
  gtk_table_attach (GTK_TABLE (table1), label1, 0, 1, 0, 1,
                    (GtkAttachOptions)0, (GtkAttachOptions)0, 5, 5);
  gtk_label_set_justify (GTK_LABEL (label1), GTK_JUSTIFY_RIGHT);

  dialog_action_area1 = GTK_DIALOG (m_pDialog)->action_area;
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "dialog_action_area1", dialog_action_area1);
  gtk_widget_show (dialog_action_area1);
  gtk_container_border_width (GTK_CONTAINER (dialog_action_area1), 10);
}

CCreateProjectDlg::~CCreateProjectDlg()
{
	gtk_widget_destroy(m_pDialog);
}
