/*      Copyright 1998-2002 SourceGear Corporation.
        All Rights Reserved. */

#include <gtk/gtk.h>

#include "Vermie.h"
#include "DeleteDlg.h"

CDeleteDlg::CDeleteDlg(char *title) : CVermDlg(title, MB_OK | MB_CANCEL)
{
  GtkWidget *dialog_vbox1;
  GtkWidget *table1;
  GtkWidget *label1;
  GtkWidget *dialog_action_area1;

  dialog_vbox1 = GTK_DIALOG (m_pDialog)->vbox;
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "dialog_vbox1", dialog_vbox1);
  gtk_widget_show (dialog_vbox1);

  table1 = gtk_table_new (3, 1, FALSE);
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "table1", table1);
  gtk_widget_show (table1);
  gtk_box_pack_start (GTK_BOX (dialog_vbox1), table1, TRUE, TRUE, 0);

  destroyButton = gtk_check_button_new_with_label ("Destroy permanently");
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "destroyButton", destroyButton);
  gtk_widget_show (destroyButton);
  gtk_table_attach (GTK_TABLE (table1), destroyButton, 0, 1, 2, 3,
                    (GtkAttachOptions)(GTK_EXPAND | GTK_FILL),
					(GtkAttachOptions)(GTK_EXPAND | GTK_FILL), 5, 5);

  label1 = gtk_label_new ("Delete selected files?");
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "label1", label1);
  gtk_widget_show (label1);
  gtk_table_attach (GTK_TABLE (table1), label1, 0, 1, 0, 1,
                    (GtkAttachOptions)GTK_FILL,
					(GtkAttachOptions)(GTK_EXPAND | GTK_FILL), 5, 6);
  gtk_label_set_justify (GTK_LABEL (label1), GTK_JUSTIFY_LEFT);

  deleteItems = gtk_entry_new ();
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "deleteItems", deleteItems);
  gtk_widget_show (deleteItems);
  gtk_table_attach (GTK_TABLE (table1), deleteItems, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
					(GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 5, 5);

  dialog_action_area1 = GTK_DIALOG (m_pDialog)->action_area;
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "dialog_action_area1", dialog_action_area1);
  gtk_widget_show (dialog_action_area1);
  gtk_container_border_width (GTK_CONTAINER (dialog_action_area1), 10);
}

CDeleteDlg::~CDeleteDlg()
{
	gtk_widget_destroy(m_pDialog);
}
