/*      Copyright 1998-2002 SourceGear Corporation.
        All Rights Reserved. */


#include <gtk/gtk.h>
#include <gdk/gdkkeysyms.h>

#include "Vermie.h"
#include "DetailsDlg.h"

CDetailsDlg::CDetailsDlg() : CVermDlg("Details", MB_OK)
{
  GtkWidget *dialog_vbox1;
  GtkWidget *vbox1;
  GtkWidget *hbox1;
  GtkWidget *hbox2;
  GtkWidget *label1;
  GtkWidget *label3;
  GtkWidget *label4;
  GtkWidget *dialog_action_area1;

  dialog_vbox1 = GTK_DIALOG (m_pDialog)->vbox;
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "dialog_vbox1", dialog_vbox1);
  gtk_widget_show (dialog_vbox1);

  vbox1 = gtk_vbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "vbox1", vbox1);
  gtk_widget_show (vbox1);
  gtk_box_pack_start (GTK_BOX (dialog_vbox1), vbox1, FALSE, FALSE, 0);

  hbox2 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "hbox1", hbox2);
  gtk_widget_show (hbox2);
  gtk_box_pack_start (GTK_BOX (vbox1), hbox2, FALSE, FALSE, 0);

  label4 = gtk_label_new("Action:");
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "label1", label4);
  gtk_widget_show (label4);
  gtk_box_pack_start (GTK_BOX (hbox2), label4, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (label4), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (label4), 0, 0);
  gtk_misc_set_padding (GTK_MISC (label4), 5, 5);

  action = gtk_label_new ("");
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "label", action);
  gtk_widget_show (action);
  gtk_box_pack_start (GTK_BOX (hbox2), action, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (action), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (action), 0, 0);
  gtk_misc_set_padding (GTK_MISC (action), 5, 5);

  hbox1 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "hbox1", hbox1);
  gtk_widget_show (hbox1);
  gtk_box_pack_start (GTK_BOX (vbox1), hbox1, FALSE, FALSE, 0);

  label1 = gtk_label_new ("Label:");
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "label1", label1);
  gtk_widget_show (label1);
  gtk_box_pack_start (GTK_BOX (hbox1), label1, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (label1), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (label1), 0, 0);
  gtk_misc_set_padding (GTK_MISC (label1), 5, 5);

  label = gtk_label_new ("");
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "label", label);
  gtk_widget_show (label);
  gtk_box_pack_start (GTK_BOX (hbox1), label, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (label), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (label), 0, 0);
  gtk_misc_set_padding (GTK_MISC (label), 5, 5);

  label3 = gtk_label_new ("Comment:");
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "label3", label3);
  gtk_widget_show (label3);
  gtk_box_pack_start (GTK_BOX (vbox1), label3, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (label3), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (label3), 0, 0);
  gtk_misc_set_padding (GTK_MISC (label3), 5, 5);

  comment = gtk_text_new ((GtkAdjustment*)NULL, (GtkAdjustment*)NULL);
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "comment", comment);
  gtk_widget_show (comment);
  gtk_box_pack_start (GTK_BOX (vbox1), comment, FALSE, FALSE, 0);
  gtk_widget_set_usize (comment, 273, 64);

  dialog_action_area1 = GTK_DIALOG (m_pDialog)->action_area;
  gtk_object_set_data (GTK_OBJECT (m_pDialog), "dialog_action_area1", dialog_action_area1);
  gtk_widget_show (dialog_action_area1);
  gtk_container_border_width (GTK_CONTAINER (dialog_action_area1), 10);
}

CDetailsDlg::~CDetailsDlg()
{
	gtk_widget_destroy(m_pDialog);
}
