/*      Copyright 1998-2002 SourceGear Corporation.
        All Rights Reserved. */

#include "GetLatestDlg.h"

CGetLatestDlg::CGetLatestDlg(char* szTitle, short bRecursive) : CVermDlg(szTitle, MB_OK | MB_CANCEL)
{
	GtkWidget* vb = GTK_DIALOG (m_pDialog)->vbox;
	gtk_widget_show (vb);

	if (bRecursive)
	{
		recursive = gtk_check_button_new_with_label("Recursive");
		gtk_widget_show(recursive);
		gtk_box_pack_start(GTK_BOX(vb), recursive, FALSE, TRUE, 0);
	}

	writable = gtk_check_button_new_with_label("Make files writable");
	gtk_widget_show(writable);
	gtk_box_pack_start(GTK_BOX(vb), writable, FALSE, TRUE, 0);
}

CGetLatestDlg::~CGetLatestDlg()
{
	gtk_widget_destroy(m_pDialog);
}

