/*      Copyright 1998-2002 SourceGear Corporation.
        All Rights Reserved. */

#ifndef HISTORYDLG_H
#define HISTORYDLG_H

#include <String.h>

#include "VermDlg.h"

class CVermFrameWnd;
class CVermProtocolMessage;

class CHistoryDlg
{
public:
	GtkWidget *m_pDialog;
	GtkWidget *buttonDiff;
	GtkWidget *buttonGet;
	GtkWidget *buttonDetails;
	GtkWidget *buttonPin;
	GtkWidget *list1;
	String m_strFile;
	String m_strProject;
	String m_strProjectName;
	
	int m_bBeingDestroyed;
	
	int m_bFileHistory;

	int m_destroySig;
	int m_nPinnedVersion;
	
	CVermFrameWnd* m_pParent;
	
	CHistoryDlg(CVermFrameWnd*, CVermProtocolMessage*, int nPinnedVersion, int bPin = 0);
	~CHistoryDlg();
	void PinUpdate(int nPinnedVersion);
};

#endif // HISTORYDLG_H
