/*      Copyright 1998-2002 SourceGear Corporation.
        All Rights Reserved. */

#ifndef SHAREDLG_H
#define SHAREDLG_H

class CVermFrameWnd;
class CVermProtocolMessage;

#include <String.h>

class CShareDlg
{
 public:
	CShareDlg(CVermFrameWnd* pParent, GtkWidget* pTree, String& strProj);
	~CShareDlg();
	
	GtkWidget* m_pDialog;
	GtkWidget* projects;
	GtkWidget* files;
	GtkWidget* filesToAdd;
	GtkWidget* add;
	GtkWidget* remove;
	GtkWidget* ok;
	GtkWidget* recursive;
	GtkWidget* branchAfter;
	
	int m_bBeingDestroyed;
	int m_destroySig;
	
	CVermFrameWnd* m_pParent;
	GtkWidget* m_hCurSelItem;
	String m_strShareProject;
	
	void AddFiles(String& strProject);
	void SetFileList(CVermProtocolMessage* pMessageReceived,
					 CVermProtocolMessage* pMessageSent);

	void SetWaitState(int);
};

#endif //SHAREDLG_H
