/*      Copyright 1998-2002 SourceGear Corporation.
        All Rights Reserved. */

#include <gtk/gtk.h>

#include "SupportDlg.h"

CSupportDlg::CSupportDlg() : CVermDlg("Support", MB_OK)
{
	GtkWidget *dialog_vbox1;
	GtkWidget *vbox2;
	GtkWidget *frame1;
	GtkWidget *vbox3;
	GtkWidget *label2;
	GtkWidget *label3;
	GtkWidget *label4;
	GtkWidget *label5;
	GtkWidget *label6;
	GtkWidget *label7;
	GtkWidget *label8;
	GtkWidget *label9;
	GtkWidget *label10;
	GtkWidget *label11;
	GtkWidget *label12;
	GtkWidget *frame2;
	GtkWidget *vbox4;
	GtkWidget *label13;
	GtkWidget *label14;
	GtkWidget *label15;
	GtkWidget *label16;
	GtkWidget *dialog_action_area1;

	dialog_vbox1 = GTK_DIALOG (m_pDialog)->vbox;
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "dialog_vbox1", dialog_vbox1);
	gtk_widget_show (dialog_vbox1);

	vbox2 = gtk_vbox_new (FALSE, 0);
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "vbox2", vbox2);
	gtk_widget_show (vbox2);
	gtk_box_pack_start (GTK_BOX (dialog_vbox1), vbox2, TRUE, TRUE, 0);

	frame1 = gtk_frame_new ("Technical Support");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "frame1", frame1);
	gtk_widget_show (frame1);
	gtk_box_pack_start (GTK_BOX (vbox2), frame1, TRUE, TRUE, 0);
	gtk_container_border_width (GTK_CONTAINER (frame1), 5);
	gtk_frame_set_label_align (GTK_FRAME (frame1), 0.5, 0.5);

	vbox3 = gtk_vbox_new (FALSE, 0);
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "vbox3", vbox3);
	gtk_widget_show (vbox3);
	gtk_container_add (GTK_CONTAINER (frame1), vbox3);

	label2 = gtk_label_new ("For the latest version and product information, visit: http://www.sourcegear.com/SOS");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "label2", label2);
	gtk_widget_show (label2);
	gtk_box_pack_start (GTK_BOX (vbox3), label2, TRUE, TRUE, 0);
	gtk_label_set_justify (GTK_LABEL (label2), GTK_JUSTIFY_LEFT);
	gtk_misc_set_alignment (GTK_MISC (label2), 0, 0.5);
	gtk_misc_set_padding (GTK_MISC (label2), 5, 5);

	label3 = gtk_label_new ("For the most up-to-date information concerning SourceOffSite Version 3.5,");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "label3", label3);
	gtk_widget_show (label3);
	gtk_box_pack_start (GTK_BOX (vbox3), label3, FALSE, FALSE, 0);
	gtk_label_set_justify (GTK_LABEL (label3), GTK_JUSTIFY_LEFT);
	gtk_misc_set_alignment (GTK_MISC (label3), 0, 0.5);
	gtk_misc_set_padding (GTK_MISC (label3), 5, 0);

	label4 = gtk_label_new ("please visit our on-line FAQ: http://www.sourcegear.com/SOS");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "label4", label4);
	gtk_widget_show (label4);
	gtk_box_pack_start (GTK_BOX (vbox3), label4, FALSE, FALSE, 0);
	gtk_label_set_justify (GTK_LABEL (label4), GTK_JUSTIFY_LEFT);
	gtk_misc_set_alignment (GTK_MISC (label4), 0, 0);
	gtk_misc_set_padding (GTK_MISC (label4), 5, 0);

	label5 = gtk_label_new ("Please e-mail your support requests to: support@sourcegear.com");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "label5", label5);
	gtk_widget_show (label5);
	gtk_box_pack_start (GTK_BOX (vbox3), label5, TRUE, FALSE, 0);
	gtk_label_set_justify (GTK_LABEL (label5), GTK_JUSTIFY_LEFT);
	gtk_misc_set_alignment (GTK_MISC (label5), 0, 0.5);
	gtk_misc_set_padding (GTK_MISC (label5), 5, 5);

	label6 = gtk_label_new ("If you report a problem with SourceOffSite, please include the following information:");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "label6", label6);
	gtk_widget_show (label6);
	gtk_box_pack_start (GTK_BOX (vbox3), label6, FALSE, FALSE, 0);
	gtk_label_set_justify (GTK_LABEL (label6), GTK_JUSTIFY_LEFT);
	gtk_misc_set_alignment (GTK_MISC (label6), 0, 0.5);
	gtk_misc_set_padding (GTK_MISC (label6), 5, 0);

	label7 = gtk_label_new ("     - Which version of SourceOffSite you are using");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "label7", label7);
	gtk_widget_show (label7);
	gtk_box_pack_start (GTK_BOX (vbox3), label7, FALSE, TRUE, 0);
	gtk_label_set_justify (GTK_LABEL (label7), GTK_JUSTIFY_LEFT);
	gtk_misc_set_alignment (GTK_MISC (label7), 0, 0);
	gtk_misc_set_padding (GTK_MISC (label7), 5, 0);

	label8 = gtk_label_new ("     - A copy of your server's log file when the problem occurs");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "label8", label8);
	gtk_widget_show (label8);
	gtk_box_pack_start (GTK_BOX (vbox3), label8, TRUE, TRUE, 0);
	gtk_label_set_justify (GTK_LABEL (label8), GTK_JUSTIFY_LEFT);
	gtk_misc_set_alignment (GTK_MISC (label8), 0, 0);
	gtk_misc_set_padding (GTK_MISC (label8), 5, 0);

	label9 = gtk_label_new ("There is also a SourceOffSite mailing list for broader discussions of SourceOffSite");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "label9", label9);
	gtk_widget_show (label9);
	gtk_box_pack_start (GTK_BOX (vbox3), label9, FALSE, FALSE, 0);
	gtk_label_set_justify (GTK_LABEL (label9), GTK_JUSTIFY_LEFT);
	gtk_misc_set_alignment (GTK_MISC (label9), 0, 0.5);
	gtk_misc_set_padding (GTK_MISC (label9), 5, 0);

	label10 = gtk_label_new ("with other users.  To subscribe, send e-mail with no subject and \"subscribe\" in the");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "label10", label10);
	gtk_widget_show (label10);
	gtk_box_pack_start (GTK_BOX (vbox3), label10, FALSE, FALSE, 0);
	gtk_label_set_justify (GTK_LABEL (label10), GTK_JUSTIFY_LEFT);
	gtk_misc_set_alignment (GTK_MISC (label10), 0, 0);
	gtk_misc_set_padding (GTK_MISC (label10), 5, 0);

	label11 = gtk_label_new ("message body to: sos-list-request@sourcegear.com");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "label11", label11);
	gtk_widget_show (label11);
	gtk_box_pack_start (GTK_BOX (vbox3), label11, FALSE, TRUE, 0);
	gtk_label_set_justify (GTK_LABEL (label11), GTK_JUSTIFY_LEFT);
	gtk_misc_set_alignment (GTK_MISC (label11), 0, 0);
	gtk_misc_set_padding (GTK_MISC (label11), 5, 0);

	label12 = gtk_label_new ("You can contribute to the list by sending e-mail to: sos-list@sourcegear.com");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "label12", label12);
	gtk_widget_show (label12);
	gtk_box_pack_start (GTK_BOX (vbox3), label12, TRUE, TRUE, 0);
	gtk_label_set_justify (GTK_LABEL (label12), GTK_JUSTIFY_LEFT);
	gtk_misc_set_alignment (GTK_MISC (label12), 0, 0.5);
	gtk_misc_set_padding (GTK_MISC (label12), 5, 0);

	frame2 = gtk_frame_new ("Sales");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "frame2", frame2);
	gtk_widget_show (frame2);
	gtk_box_pack_start (GTK_BOX (vbox2), frame2, FALSE, FALSE, 0);
	gtk_widget_set_usize (frame2, -1, 127);
	gtk_container_border_width (GTK_CONTAINER (frame2), 5);
	gtk_frame_set_label_align (GTK_FRAME (frame2), 0.5, 0.5);

	vbox4 = gtk_vbox_new (FALSE, 0);
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "vbox4", vbox4);
	gtk_widget_show (vbox4);
	gtk_container_add (GTK_CONTAINER (frame2), vbox4);

	label13 = gtk_label_new ("SourceOffSite can be purchased directly from our website at:");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "label13", label13);
	gtk_widget_show (label13);
	gtk_box_pack_start (GTK_BOX (vbox4), label13, FALSE, FALSE, 0);
	gtk_label_set_justify (GTK_LABEL (label13), GTK_JUSTIFY_LEFT);
	gtk_misc_set_alignment (GTK_MISC (label13), 0, 0.5);
	gtk_misc_set_padding (GTK_MISC (label13), 5, 0);

	label14 = gtk_label_new ("https://www.sourcoffsite.com/sg_buy.html");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "label14", label14);
	gtk_widget_show (label14);
	gtk_box_pack_start (GTK_BOX (vbox4), label14, TRUE, FALSE, 0);
	gtk_label_set_justify (GTK_LABEL (label14), GTK_JUSTIFY_LEFT);
	gtk_misc_set_alignment (GTK_MISC (label14), 0, 0);
	gtk_misc_set_padding (GTK_MISC (label14), 5, 0);

	label15 = gtk_label_new ("The website includes current pricing information.  If you would like further sales");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "label15", label15);
	gtk_widget_show (label15);
	gtk_box_pack_start (GTK_BOX (vbox4), label15, FALSE, FALSE, 0);
	gtk_label_set_justify (GTK_LABEL (label15), GTK_JUSTIFY_LEFT);
	gtk_misc_set_alignment (GTK_MISC (label15), 0, 0);
	gtk_misc_set_padding (GTK_MISC (label15), 5, 0);

	label16 = gtk_label_new ("information, please send e-mail to: sales@sourcegear.com");
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "label16", label16);
	gtk_widget_show (label16);
	gtk_box_pack_start (GTK_BOX (vbox4), label16, FALSE, FALSE, 0);
	gtk_label_set_justify (GTK_LABEL (label16), GTK_JUSTIFY_LEFT);
	gtk_misc_set_alignment (GTK_MISC (label16), 0, 0);
	gtk_misc_set_padding (GTK_MISC (label16), 5, 0);

	dialog_action_area1 = GTK_DIALOG (m_pDialog)->action_area;
	gtk_object_set_data (GTK_OBJECT (m_pDialog), "dialog_action_area1", dialog_action_area1);
	gtk_widget_show (dialog_action_area1);
	gtk_container_border_width (GTK_CONTAINER (dialog_action_area1), 10);
}

CSupportDlg::~CSupportDlg()
{
	gtk_widget_destroy(m_pDialog);
}
