/*      Copyright 1998-2002 SourceGear Corporation.
        All Rights Reserved. */

#ifndef VERMDLG_H
#define VERMDLG_H

#include <gtk/gtk.h>

#define IDOK         1
#define IDYES        2
#define IDYESTOALL   3
#define IDNO         4
#define IDNOTOALL    5
#define IDCANCEL     6

#define MB_OK        0x01
#define MB_YES       0x02
#define MB_YESTOALL  0x04
#define MB_NO        0x08
#define MB_NOTOALL   0x10
#define MB_CANCEL    0x20
#define MB_ALL       0x40

class CVermDlg
{
public:	
	CVermDlg(const char *szTitle, int style);
	~CVermDlg();
	
	int m_style;
	GtkWidget* ok;
	GtkWidget* m_pDialog;
	
	int DoModal(void);
	void OnOK(void);

};

#endif // VERMDLG
