/*      Copyright 1998-2002 SourceGear Corporation.
        All Rights Reserved. */

#ifndef VERMMessageView_H
#define VERMMessageView_H

#include <gtk/gtk.h>
#include <String.h>

class CVermFrameWnd;

class CVermMessageView
{
public:
	CVermMessageView(CVermFrameWnd* pParent);
	~CVermMessageView();

	void AddMessage(String& message);
	void SetLinesToDisplay(int);
	
public:
	GtkWidget* m_pWidget;
	GtkWidget* m_pText;
	
	CVermFrameWnd* m_pParent;
	int   m_nTotalLines;
	int   m_nLinesToDisplay;

 private:
	void TrimLines(void);
};
	
	
#endif // VERMMessageView_H
