/*      Copyright 1998-2002 SourceGear Corporation.
        All Rights Reserved. */

#include <String.h>

#include "Vermie.h"
#include "VermProtocolHeader.h"

CVermProtocolHeader::CVermProtocolHeader()
{
}

CVermProtocolHeader::CVermProtocolHeader(const char* pName, const char* pValue)
{
	m_name = pName;
	m_value = pValue;
}

CVermProtocolHeader::CVermProtocolHeader(const char* pName, const String& pValue)
{
	m_name = pName;
	m_value = ((String)(pValue)).chars();
}

CVermProtocolHeader::CVermProtocolHeader(String& pName, const String& pValue)
{
	m_name = ((String)(pName)).chars();
	m_value = ((String)(pValue)).chars();
}

CVermProtocolHeader::~CVermProtocolHeader()
{
}
