
#include "blowfish.h"
#include "bf_locl.h"

__declspec(dllexport) void __cdecl BlowFish_SetKey(BF_KEY *key, int len, char *data)
{
    BF_set_key(key, len, (unsigned char*)data);
}

__declspec(dllexport) void __cdecl BlowFish_Encrypt(BF_KEY *key, char *iv, char *in,
													char *out, long length)
{
	BF_cbc_encrypt((unsigned char *)in, (unsigned char *)out, length,
				   key, (unsigned char *)iv, BF_ENCRYPT);
}

__declspec(dllexport) void __cdecl BlowFish_Decrypt(BF_KEY *key, char *iv, char *in,
													char *out, long length)
{
	BF_cbc_encrypt((unsigned char *)in, (unsigned char *)out, length,
				   key, (unsigned char *)iv, BF_DECRYPT);
}